---
title: Navigator.oscpu
slug: Web/API/Navigator/oscpu
tags:
  - API
  - Deprecated
  - HTML DOM
  - Navigator
  - NavigatorID
  - Property
  - Reference
---
<p>{{ ApiRef("HTML DOM") }}</p>

<p>The <code><strong>Navigator.oscpu</strong></code> property returns a string that identifies the current operating system.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="eval notranslate"><var>oscpuInfo</var> = navigator.oscpu
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} providing a string which identifies the operating system on which the browser is running.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Operating system</th>
   <th><code>oscpuInfo</code> string format</th>
  </tr>
  <tr>
   <td>OS/2</td>
   <td>OS/2 Warp x (either 3, 4 or 4.5)</td>
  </tr>
  <tr>
   <td>Windows CE</td>
   <td>WindowsCE x.y<sup>1</sup></td>
  </tr>
  <tr>
   <td>Windows 64-bit (64-bit build)</td>
   <td>Windows NT x.y; Win64; x64</td>
  </tr>
  <tr>
   <td>Windows 64-bit (32-bit build)</td>
   <td>Windows NT x.y; WOW64</td>
  </tr>
  <tr>
   <td>Windows 32-bit</td>
   <td>Windows NT x.y</td>
  </tr>
  <tr>
   <td>Mac OS X (PPC build)</td>
   <td>PowerPC Mac OS X version x.y</td>
  </tr>
  <tr>
   <td>Mac OS X (i386/x64 build)</td>
   <td>Intel Mac OS X or macOS version x.y</td>
  </tr>
  <tr>
   <td>Linux 64-bit (32-bit build)</td>
   <td>Output of <code>uname -s</code> plus <code>i686 on x86_64</code></td>
  </tr>
  <tr>
   <td>Linux</td>
   <td>Output of <code>uname -sm</code></td>
  </tr>
 </tbody>
</table>

<ol>
 <li>x.y refers to the version of the operating system</li>
</ol>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">function osInfo() {
  alert(window.navigator.oscpu);
}

osInfo(); // alerts "Windows NT 6.0" for example
</pre>

<h2 id="Usage_notes">Usage notes</h2>

<p>Unless your code is privileged (chrome or at least has the UniversalBrowserRead privilege), it may get the value of the <code>general.oscpu.override</code> preference instead of the true platform.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-navigator-oscpu', 'NavigatorID: oscpu')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.oscpu")}}</p>
